<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_shouts_include.php
| Author: Smokeman
| Email: smokeman@esenet.dk
| Web: PHPFusion-Tips.dk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include LOCALE.LOCALESET."search/shouts.php";

if ($_GET['stype']  ==  "shouts" || $_GET['stype'] == "all") {
	if ($_GET['sort'] == "datestamp") {
		$sortby = "shout_datestamp";
	} else if ($_GET['sort'] == "subject") {
		$sortby = "shout_name";
	} else {
		$sortby = "shout_datestamp";
	}
	$ssubject = search_querylike("shout_name");
	$smessage = search_querylike("shout_message");
	if ($_GET['fields'] == 0) {
		$fieldsvar = search_fieldsvar($ssubject);
	} else if ($_GET['fields'] == 1) {
		$fieldsvar = search_fieldsvar($smessage);
	} else if ($_GET['fields'] == 2) {
		$fieldsvar = search_fieldsvar($ssubject, $smessage);
	} else {
		$fieldsvar = "";
	}
	if ($fieldsvar) {
		$result = dbquery(
			"SELECT ts.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SHOUTBOX." ts
			LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
			WHERE ".$fieldsvar."
			".($_GET['datelimit'] != 0 ?" AND shout_datestamp>=".(time()-$_GET['datelimit']):"")
		);
		$rows = dbrows($result);
	} else {
		$rows = 0;
	}
	if ($rows != 0) {
		$items_count .= THEME_BULLET."&nbsp;<a href='".FUSION_SELF."?stype=shouts&amp;stext=".$_GET['stext']."&amp;".$composevars."'>".$rows." ".($rows == 1 ? $locale['s401'] : $locale['s402'])." ".$locale['522']."</a><br />\n";
		$result = dbquery(
			"SELECT ts.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SHOUTBOX." ts
			LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
			WHERE ".$fieldsvar."
			".($_GET['datelimit'] != 0 ? " AND shout_datestamp>=".(time() - $_GET['datelimit']) : "")."
			ORDER BY ".$sortby." ".($_GET['order'] == 1 ? "ASC" : "DESC").($_GET['stype']!="all"?" LIMIT ".$_GET['rowstart'].",10" : "")
		);
		
		while ($data = dbarray($result)) {
			$search_result = "";
			if ($data['shout_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
				$new = " <span class='small'>".$locale['s403']."</span>";
			} else {
				$new = "";
			}
			$text_all = $data['shout_message'];
			$text_all = search_striphtmlbbcodes($text_all);
			$text_frag = search_textfrag($text_all);
			$subj_c = search_stringscount($data['shout_name']);
			$text_c = search_stringscount($data['shout_message']);

			$search_result .= "<a href='".INFUSIONS."shoutbox_panel/shoutbox_archive.php?shout_id=".$data['shout_id']."'>".$data['user_name']."</a>".$new."<br /><br />\n";

			if ($text_frag != "") { $search_result .= "<div class='quote' style='width:auto;height:auto;overflow:auto'>".$text_frag."</div><br />"; }
			search_globalarray($search_result);
		}
	} else {
		$items_count .= THEME_BULLET."&nbsp;0 ".$locale['s402']." ".$locale['522']."<br />\n";
	}
	$navigation_result = search_navigation($rows);
}
?>